Subject: (radius) MS-CHAP and RADIUS

From: "Volodymyr Tarasevych" <[email-masked]>
Date: Wed, 14 Jun 2000 11:27:31 -0400

I would like some help. How may I properly calculate MS-CHAP in a RADIUS
request?

I have used RFC 2433, but this does not work as I expected.
Using the RFC, I get only the last byte matching in the triplets (LM hash and NT
hash).

Here is an example:

Username: "user"
Password: "password"

Challenge string(Vendor-Type 11): 2E 39 14 22 2E 0B 3D 05
Valid MS-CHAP reponse (Vendor-Type 1) is:
81
01
A0 A7 84 FC 1F 25 A6 DD
F6 01 12 40 ED F8 F1 2B
C1 03 E0 A1 9F 96 85 A1
5B 06 EA 06 0F 3C CC B1
89 14 F0 43 ED 4A AC 8A
38 65 0F D9 BB 56 99 B9

I have properly calculated LM hash and NT hash:
LM hash is
45 7C 2A 41 10 D8 98 80
7C 04 38 8A 05 EF 75 CB
C1 03 E0 A1 9F 96 85 A1
NT hash is
3F B7 B6 BC 66 98 CF E7
8C 80 F0 97 F9 35 33 1E
38 65 0F D9 BB 56 99 B9

You can see that only the last byte matches in the triplets.
I know that my error resides in that I did not take in account the MSCHAP
Identifier, (in our case 0x81) the first byte in the MS-CHAP reponse.
What I should to do next to get a valid MS-CHAP reponse?

Best Regards,
Volodymyr Tarasevych
[email-masked]

-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.